

function EFFECT:Init(Data)

	local Pos = Data:GetOrigin()
	local Force = math.random(250, 400)
	
	local Emitter = ParticleEmitter(Pos)
	if (Emitter) then
		for i = 1, 100 do
			local P = Emitter:Add("effects/yellowflare", Pos)
			local Vec = Vector(math.cos(math.Rand(-1, 1)) * math.Rand(-Force, Force), math.cos(math.Rand(-1, 1)) * math.Rand(-Force, Force), math.cos(math.Rand(-1, 1)) * math.Rand(-Force, Force))
			
			P:SetVelocity(Vec)
			P:SetColor(255, 255, 255)
			P:SetDieTime(math.Rand(3, 5))
			P:SetStartAlpha(255)
			P:SetEndAlpha(0)
			P:SetStartSize(5)
			P:SetEndSize(0)
			P:SetAirResistance(10)
			P:SetGravity(Vector(0, 0, -150))
			P:SetCollide(true)
			P:SetBounce(0.7)
		end
	end

	Emitter:Finish()
end


function EFFECT:Think()
	return false
end


function EFFECT:Render()
end



